[justifyfull.html?1-1000]
  max-asserts: 9
  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "foo[\]bar<p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "foo[\]bar<p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<span>foo</span>{}<span>bar</span><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<span>foo</span>{}<span>bar</span><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<span>foo[</span><span>\]bar</span><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<span>foo[</span><span>\]bar</span><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "foo[bar\]baz<p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "foo[bar\]baz<p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "foo[bar<b>baz\]qoz</b>quz<p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "foo[bar<b>baz\]qoz</b>quz<p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<p>foo[\]bar<p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<p>foo[\]bar<p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<p>foo[\]bar<p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<p>foo[\]bar<p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<p>foo[bar\]baz<p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<p>foo[bar\]baz<p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<p>foo[bar\]baz<p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<p>foo[bar\]baz<p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<h1>foo[bar\]baz</h1><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<h1>foo[bar\]baz</h1><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<h1>foo[bar\]baz</h1><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<h1>foo[bar\]baz</h1><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<pre>foo[bar\]baz</pre><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<pre>foo[bar\]baz</pre><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<xmp>foo[bar\]baz</xmp><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<xmp>foo[bar\]baz</xmp><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<center><p>[foo\]<p>bar</center><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<center><p>[foo\]<p>bar</center><p>extra" queryCommandValue("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<center><p>[foo\]<p>bar</center><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<center><p>[foo\]<p>bar</center><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<center><p>[foo\]<p>bar</center><p>extra" queryCommandValue("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<center><p>[foo\]<p>bar</center><p>extra" compare innerHTML]
    expected: FAIL


[justifyfull.html?1001-2000]
  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<center><p>[foo\]<p>bar</center><p>extra" queryCommandValue("defaultparagraphseparator") before]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<center><p>[foo\]<p>bar</center><p>extra" queryCommandValue("defaultparagraphseparator") after]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<center><p>[foo\]<p>bar</center><p>extra" queryCommandValue("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<center><p>[foo\]<p>bar</center><p>extra" queryCommandState("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<center><p>[foo\]<p>bar</center><p>extra" queryCommandValue("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<center><p>[foo<p>bar\]</center><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<center><p>[foo<p>bar\]</center><p>extra" queryCommandValue("defaultparagraphseparator") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<center><p>[foo<p>bar\]</center><p>extra" queryCommandValue("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<center><p>[foo<p>bar\]</center><p>extra" queryCommandState("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<center><p>[foo<p>bar\]</center><p>extra" queryCommandValue("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<center><p>[foo<p>bar\]</center><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<center><p>[foo<p>bar\]</center><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<center><p>[foo<p>bar\]</center><p>extra" queryCommandValue("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<center><p>[foo<p>bar\]</center><p>extra" queryCommandState("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<center><p>[foo<p>bar\]</center><p>extra" queryCommandValue("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<center><p>[foo<p>bar\]</center><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table><tbody><tr><td>foo<td>b[a\]r<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table><tbody><tr><td>foo<td>b[a\]r<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table><tbody><tr><td>foo<td>b[a\]r<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table><tbody><tr><td>foo<td>b[a\]r<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table><tbody><tr data-start=1 data-end=2><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table><tbody><tr data-start=1 data-end=2><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table><tbody><tr data-start=1 data-end=2><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table><tbody><tr data-start=1 data-end=2><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table><tbody><tr data-start=0 data-end=2><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table><tbody><tr data-start=0 data-end=2><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table><tbody><tr data-start=0 data-end=2><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table><tbody><tr data-start=0 data-end=2><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table><tbody data-start=0 data-end=1><tr><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table><tbody data-start=0 data-end=1><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandState("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table><tbody data-start=0 data-end=1><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandValue("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table><tbody data-start=0 data-end=1><tr><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table><tbody data-start=0 data-end=1><tr><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table><tbody data-start=0 data-end=1><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandState("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table><tbody data-start=0 data-end=1><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandValue("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table><tbody data-start=0 data-end=1><tr><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table data-start=0 data-end=1><tbody><tr><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table data-start=0 data-end=1><tbody><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandState("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table data-start=0 data-end=1><tbody><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandValue("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table data-start=0 data-end=1><tbody><tr><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table data-start=0 data-end=1><tbody><tr><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table data-start=0 data-end=1><tbody><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandState("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table data-start=0 data-end=1><tbody><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandValue("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table data-start=0 data-end=1><tbody><tr><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "{<table><tr><td>foo<td>bar<td>baz</table>}<p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "{<table><tr><td>foo<td>bar<td>baz</table>}<p>extra" queryCommandState("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "{<table><tr><td>foo<td>bar<td>baz</table>}<p>extra" queryCommandValue("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "{<table><tr><td>foo<td>bar<td>baz</table>}<p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "{<table><tr><td>foo<td>bar<td>baz</table>}<p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "{<table><tr><td>foo<td>bar<td>baz</table>}<p>extra" queryCommandState("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "{<table><tr><td>foo<td>bar<td>baz</table>}<p>extra" queryCommandValue("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "{<table><tr><td>foo<td>bar<td>baz</table>}<p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table align=justify><tbody><tr><td>foo<td>b[a\]r<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table align=justify><tbody><tr><td>foo<td>b[a\]r<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table align=justify><tbody><tr><td>foo<td>b[a\]r<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table align=justify><tbody><tr><td>foo<td>b[a\]r<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table align=justify><tbody><tr data-start=1 data-end=2><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table align=justify><tbody><tr data-start=1 data-end=2><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table align=justify><tbody><tr data-start=1 data-end=2><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table align=justify><tbody><tr data-start=1 data-end=2><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table align=justify><tbody><tr data-start=0 data-end=2><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table align=justify><tbody><tr data-start=0 data-end=2><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table align=justify><tbody><tr data-start=0 data-end=2><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table align=justify><tbody><tr data-start=0 data-end=2><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table align=justify><tbody data-start=0 data-end=1><tr><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table align=justify><tbody data-start=0 data-end=1><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandState("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table align=justify><tbody data-start=0 data-end=1><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandValue("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table align=justify><tbody data-start=0 data-end=1><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandState("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table align=justify><tbody data-start=0 data-end=1><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandValue("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table align=justify><tbody data-start=0 data-end=1><tr><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table align=justify><tbody data-start=0 data-end=1><tr><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table align=justify><tbody data-start=0 data-end=1><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandState("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table align=justify><tbody data-start=0 data-end=1><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandValue("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table align=justify><tbody data-start=0 data-end=1><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandState("justifyfull") after]
    expected: FAIL


[justifyfull.html?2001-3000]
  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table align=justify><tbody data-start=0 data-end=1><tr><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table align=justify><tbody data-start=0 data-end=1><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandState("stylewithcss") before]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table align=justify><tbody data-start=0 data-end=1><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandValue("defaultparagraphseparator") before]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table align=justify><tbody data-start=0 data-end=1><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandState("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table align=justify><tbody data-start=0 data-end=1><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandValue("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table align=justify data-start=0 data-end=1><tbody><tr><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table align=justify data-start=0 data-end=1><tbody><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandState("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table align=justify data-start=0 data-end=1><tbody><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandValue("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table align=justify data-start=0 data-end=1><tbody><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandState("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table align=justify data-start=0 data-end=1><tbody><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandValue("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table align=justify data-start=0 data-end=1><tbody><tr><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table align=justify data-start=0 data-end=1><tbody><tr><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table align=justify data-start=0 data-end=1><tbody><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandState("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table align=justify data-start=0 data-end=1><tbody><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandValue("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table align=justify data-start=0 data-end=1><tbody><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandState("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table align=justify data-start=0 data-end=1><tbody><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandValue("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table align=justify data-start=0 data-end=1><tbody><tr><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "{<table align=justify><tr><td>foo<td>bar<td>baz</table>}<p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "{<table align=justify><tr><td>foo<td>bar<td>baz</table>}<p>extra" queryCommandState("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "{<table align=justify><tr><td>foo<td>bar<td>baz</table>}<p>extra" queryCommandValue("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "{<table align=justify><tr><td>foo<td>bar<td>baz</table>}<p>extra" queryCommandState("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "{<table align=justify><tr><td>foo<td>bar<td>baz</table>}<p>extra" queryCommandValue("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "{<table align=justify><tr><td>foo<td>bar<td>baz</table>}<p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "{<table align=justify><tr><td>foo<td>bar<td>baz</table>}<p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "{<table align=justify><tr><td>foo<td>bar<td>baz</table>}<p>extra" queryCommandState("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "{<table align=justify><tr><td>foo<td>bar<td>baz</table>}<p>extra" queryCommandValue("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "{<table align=justify><tr><td>foo<td>bar<td>baz</table>}<p>extra" queryCommandState("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "{<table align=justify><tr><td>foo<td>bar<td>baz</table>}<p>extra" queryCommandValue("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "{<table align=justify><tr><td>foo<td>bar<td>baz</table>}<p>extra" compare innerHTML]
    expected: FAIL

  [[["justifyfull",""\]\] "<table><tbody align=justify><tr><td>foo<td>b[a\]r<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["justifyfull",""\]\] "<table><tbody align=justify><tr data-start=1 data-end=2><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["justifyfull",""\]\] "<table><tbody align=justify><tr data-start=0 data-end=2><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table><tbody align=justify data-start=0 data-end=1><tr><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table><tbody align=justify data-start=0 data-end=1><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandState("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table><tbody align=justify data-start=0 data-end=1><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandValue("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table><tbody align=justify data-start=0 data-end=1><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandState("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table><tbody align=justify data-start=0 data-end=1><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandValue("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table><tbody align=justify data-start=0 data-end=1><tr><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table><tbody align=justify data-start=0 data-end=1><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandState("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table><tbody align=justify data-start=0 data-end=1><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandValue("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table><tbody align=justify data-start=0 data-end=1><tr><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table><tbody align=justify data-start=0 data-end=1><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandState("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table><tbody align=justify data-start=0 data-end=1><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandValue("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table><tbody align=justify data-start=0 data-end=1><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandState("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table><tbody align=justify data-start=0 data-end=1><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandValue("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table><tbody align=justify data-start=0 data-end=1><tr><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table><tbody align=justify data-start=0 data-end=1><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandState("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table><tbody align=justify data-start=0 data-end=1><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandValue("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table data-start=0 data-end=1><tbody align=justify><tr><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table data-start=0 data-end=1><tbody align=justify><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandState("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table data-start=0 data-end=1><tbody align=justify><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandValue("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table data-start=0 data-end=1><tbody align=justify><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandState("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table data-start=0 data-end=1><tbody align=justify><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandValue("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table data-start=0 data-end=1><tbody align=justify><tr><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table data-start=0 data-end=1><tbody align=justify><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandState("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table data-start=0 data-end=1><tbody align=justify><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandValue("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table data-start=0 data-end=1><tbody align=justify><tr><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table data-start=0 data-end=1><tbody align=justify><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandState("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table data-start=0 data-end=1><tbody align=justify><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandValue("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table data-start=0 data-end=1><tbody align=justify><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandState("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table data-start=0 data-end=1><tbody align=justify><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandValue("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table data-start=0 data-end=1><tbody align=justify><tr><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table data-start=0 data-end=1><tbody align=justify><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandState("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table data-start=0 data-end=1><tbody align=justify><tr><td>foo<td>bar<td>baz</table><p>extra" queryCommandValue("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "{<table><tbody align=justify><tr><td>foo<td>bar<td>baz</table>}<p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "{<table><tbody align=justify><tr><td>foo<td>bar<td>baz</table>}<p>extra" queryCommandState("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "{<table><tbody align=justify><tr><td>foo<td>bar<td>baz</table>}<p>extra" queryCommandValue("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "{<table><tbody align=justify><tr><td>foo<td>bar<td>baz</table>}<p>extra" queryCommandState("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "{<table><tbody align=justify><tr><td>foo<td>bar<td>baz</table>}<p>extra" queryCommandValue("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "{<table><tbody align=justify><tr><td>foo<td>bar<td>baz</table>}<p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "{<table><tbody align=justify><tr><td>foo<td>bar<td>baz</table>}<p>extra" queryCommandState("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "{<table><tbody align=justify><tr><td>foo<td>bar<td>baz</table>}<p>extra" queryCommandValue("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "{<table><tbody align=justify><tr><td>foo<td>bar<td>baz</table>}<p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "{<table><tbody align=justify><tr><td>foo<td>bar<td>baz</table>}<p>extra" queryCommandState("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "{<table><tbody align=justify><tr><td>foo<td>bar<td>baz</table>}<p>extra" queryCommandValue("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "{<table><tbody align=justify><tr><td>foo<td>bar<td>baz</table>}<p>extra" queryCommandState("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "{<table><tbody align=justify><tr><td>foo<td>bar<td>baz</table>}<p>extra" queryCommandValue("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "{<table><tbody align=justify><tr><td>foo<td>bar<td>baz</table>}<p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "{<table><tbody align=justify><tr><td>foo<td>bar<td>baz</table>}<p>extra" queryCommandState("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "{<table><tbody align=justify><tr><td>foo<td>bar<td>baz</table>}<p>extra" queryCommandValue("justifyfull") before]
    expected: FAIL

  [[["justifyfull",""\]\] "<table><tbody><tr align=justify><td>foo<td>b[a\]r<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["justifyfull",""\]\] "<table><tbody><tr align=justify data-start=1 data-end=2><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["justifyfull",""\]\] "<table><tbody><tr align=justify data-start=0 data-end=2><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table><tbody data-start=0 data-end=1><tr align=justify><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table><tbody data-start=0 data-end=1><tr align=justify><td>foo<td>bar<td>baz</table><p>extra" queryCommandState("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table><tbody data-start=0 data-end=1><tr align=justify><td>foo<td>bar<td>baz</table><p>extra" queryCommandValue("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table><tbody data-start=0 data-end=1><tr align=justify><td>foo<td>bar<td>baz</table><p>extra" queryCommandState("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table><tbody data-start=0 data-end=1><tr align=justify><td>foo<td>bar<td>baz</table><p>extra" queryCommandValue("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table><tbody data-start=0 data-end=1><tr align=justify><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table><tbody data-start=0 data-end=1><tr align=justify><td>foo<td>bar<td>baz</table><p>extra" queryCommandState("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table><tbody data-start=0 data-end=1><tr align=justify><td>foo<td>bar<td>baz</table><p>extra" queryCommandValue("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table><tbody data-start=0 data-end=1><tr align=justify><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table><tbody data-start=0 data-end=1><tr align=justify><td>foo<td>bar<td>baz</table><p>extra" queryCommandState("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table><tbody data-start=0 data-end=1><tr align=justify><td>foo<td>bar<td>baz</table><p>extra" queryCommandValue("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table><tbody data-start=0 data-end=1><tr align=justify><td>foo<td>bar<td>baz</table><p>extra" queryCommandState("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table><tbody data-start=0 data-end=1><tr align=justify><td>foo<td>bar<td>baz</table><p>extra" queryCommandValue("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table><tbody data-start=0 data-end=1><tr align=justify><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table><tbody data-start=0 data-end=1><tr align=justify><td>foo<td>bar<td>baz</table><p>extra" queryCommandState("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table><tbody data-start=0 data-end=1><tr align=justify><td>foo<td>bar<td>baz</table><p>extra" queryCommandValue("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table data-start=0 data-end=1><tbody><tr align=justify><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table data-start=0 data-end=1><tbody><tr align=justify><td>foo<td>bar<td>baz</table><p>extra" queryCommandState("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table data-start=0 data-end=1><tbody><tr align=justify><td>foo<td>bar<td>baz</table><p>extra" queryCommandValue("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table data-start=0 data-end=1><tbody><tr align=justify><td>foo<td>bar<td>baz</table><p>extra" queryCommandState("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table data-start=0 data-end=1><tbody><tr align=justify><td>foo<td>bar<td>baz</table><p>extra" queryCommandValue("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table data-start=0 data-end=1><tbody><tr align=justify><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table data-start=0 data-end=1><tbody><tr align=justify><td>foo<td>bar<td>baz</table><p>extra" queryCommandState("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<table data-start=0 data-end=1><tbody><tr align=justify><td>foo<td>bar<td>baz</table><p>extra" queryCommandValue("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table data-start=0 data-end=1><tbody><tr align=justify><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table data-start=0 data-end=1><tbody><tr align=justify><td>foo<td>bar<td>baz</table><p>extra" queryCommandState("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table data-start=0 data-end=1><tbody><tr align=justify><td>foo<td>bar<td>baz</table><p>extra" queryCommandValue("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table data-start=0 data-end=1><tbody><tr align=justify><td>foo<td>bar<td>baz</table><p>extra" queryCommandState("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table data-start=0 data-end=1><tbody><tr align=justify><td>foo<td>bar<td>baz</table><p>extra" queryCommandValue("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table data-start=0 data-end=1><tbody><tr align=justify><td>foo<td>bar<td>baz</table><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table data-start=0 data-end=1><tbody><tr align=justify><td>foo<td>bar<td>baz</table><p>extra" queryCommandState("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<table data-start=0 data-end=1><tbody><tr align=justify><td>foo<td>bar<td>baz</table><p>extra" queryCommandValue("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "{<table><tr align=justify><td>foo<td>bar<td>baz</table>}<p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "{<table><tr align=justify><td>foo<td>bar<td>baz</table>}<p>extra" queryCommandState("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "{<table><tr align=justify><td>foo<td>bar<td>baz</table>}<p>extra" queryCommandValue("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "{<table><tr align=justify><td>foo<td>bar<td>baz</table>}<p>extra" queryCommandState("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "{<table><tr align=justify><td>foo<td>bar<td>baz</table>}<p>extra" queryCommandValue("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "{<table><tr align=justify><td>foo<td>bar<td>baz</table>}<p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "{<table><tr align=justify><td>foo<td>bar<td>baz</table>}<p>extra" queryCommandState("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "{<table><tr align=justify><td>foo<td>bar<td>baz</table>}<p>extra" queryCommandValue("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "{<table><tr align=justify><td>foo<td>bar<td>baz</table>}<p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "{<table><tr align=justify><td>foo<td>bar<td>baz</table>}<p>extra" queryCommandState("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "{<table><tr align=justify><td>foo<td>bar<td>baz</table>}<p>extra" queryCommandValue("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "{<table><tr align=justify><td>foo<td>bar<td>baz</table>}<p>extra" queryCommandState("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "{<table><tr align=justify><td>foo<td>bar<td>baz</table>}<p>extra" queryCommandValue("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "{<table><tr align=justify><td>foo<td>bar<td>baz</table>}<p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "{<table><tr align=justify><td>foo<td>bar<td>baz</table>}<p>extra" queryCommandState("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "{<table><tr align=justify><td>foo<td>bar<td>baz</table>}<p>extra" queryCommandValue("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<div align=center><p>[foo\]<p>bar</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<div align=center><p>[foo\]<p>bar</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<div align=center><p>[foo\]<p>bar</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<div align=center><p>[foo\]<p>bar</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["justifyfull",""\]\] "<div align=center><p>[foo<p>bar}</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<div style=text-align:center><p>[foo\]<p>bar</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<div style=text-align:center><p>[foo\]<p>bar</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<div style=text-align:center><p>[foo\]<p>bar</div><p>extra" compare innerHTML]
    expected: FAIL


[justifyfull.html?3001-4000]
  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<div style=text-align:center><p>[foo\]<p>bar</div><p>extra" queryCommandValue("defaultparagraphseparator") after]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<div style=text-align:center><p>[foo\]<p>bar</div><p>extra" queryCommandState("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<div style=text-align:center><p>[foo\]<p>bar</div><p>extra" queryCommandValue("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<div style=text-align:center><p>[foo\]<p>bar</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<div style=text-align:center><p>[foo\]<p>bar</div><p>extra" queryCommandState("stylewithcss") before]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<div style=text-align:center><p>[foo\]<p>bar</div><p>extra" queryCommandValue("defaultparagraphseparator") before]
    expected: FAIL

  [[["justifyfull",""\]\] "<div style=text-align:center><p>[foo<p>bar\]</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["justifyfull",""\]\] "<div align=justify><p>[foo\]<p>bar</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["justifyfull",""\]\] "<div align=justify><p>[foo<p>bar}</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["justifyfull",""\]\] "<div style=text-align:justify><p>[foo\]<p>bar</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["justifyfull",""\]\] "<div style=text-align:justify><p>[foo<p>bar\]</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<div align=left><p>[foo\]<p>bar</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<div align=left><p>[foo\]<p>bar</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<div align=left><p>[foo\]<p>bar</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<div align=left><p>[foo\]<p>bar</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["justifyfull",""\]\] "<div align=left><p>[foo<p>bar}</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<div style=text-align:left><p>[foo\]<p>bar</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<div style=text-align:left><p>[foo\]<p>bar</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<div style=text-align:left><p>[foo\]<p>bar</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<div style=text-align:left><p>[foo\]<p>bar</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["justifyfull",""\]\] "<div style=text-align:left><p>[foo<p>bar\]</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<div align=right><p>[foo\]<p>bar</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<div align=right><p>[foo\]<p>bar</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<div align=right><p>[foo\]<p>bar</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<div align=right><p>[foo\]<p>bar</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["justifyfull",""\]\] "<div align=right><p>[foo<p>bar}</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<div style=text-align:right><p>[foo\]<p>bar</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<div style=text-align:right><p>[foo\]<p>bar</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<div style=text-align:right><p>[foo\]<p>bar</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<div style=text-align:right><p>[foo\]<p>bar</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["justifyfull",""\]\] "<div style=text-align:right><p>[foo<p>bar\]</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["justifyfull",""\]\] "<div align=justify>foo</div>[bar\]<p>extra" compare innerHTML]
    expected: FAIL

  [[["justifyfull",""\]\] "[foo\]<div align=justify>bar</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<div align=justify>foo</div>[bar\]<div align=justify>baz</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<div align=justify>foo</div>[bar\]<div align=justify>baz</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["justifyfull",""\]\] "<div align=justify><p>foo</div><p>[bar\]<p>extra" compare innerHTML]
    expected: FAIL

  [[["justifyfull",""\]\] "<p>[foo\]<div align=justify><p>bar</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<div align=justify><p>foo</div><p>[bar\]<div align=justify><p>baz</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<div align=justify><p>foo</div><p>[bar\]<div align=justify><p>baz</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["justifyfull",""\]\] "<div style=text-align:justify>foo</div>[bar\]<p>extra" compare innerHTML]
    expected: FAIL

  [[["justifyfull",""\]\] "[foo\]<div style=text-align:justify>bar</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<div style=text-align:justify>foo</div>[bar\]<div style=text-align:justify>baz</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<div style=text-align:justify>foo</div>[bar\]<div style=text-align:justify>baz</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<div style=text-align:justify>foo</div>[bar\]<div style=text-align:justify>baz</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<div style=text-align:justify>foo</div>[bar\]<div style=text-align:justify>baz</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["justifyfull",""\]\] "<div style=text-align:justify><p>foo</div><p>[bar\]<p>extra" compare innerHTML]
    expected: FAIL

  [[["justifyfull",""\]\] "<p>[foo\]<div style=text-align:justify><p>bar</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<div style=text-align:justify><p>foo</div><p>[bar\]<div style=text-align:justify><p>baz</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<div style=text-align:justify><p>foo</div><p>[bar\]<div style=text-align:justify><p>baz</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<div style=text-align:justify><p>foo</div><p>[bar\]<div style=text-align:justify><p>baz</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<div style=text-align:justify><p>foo</div><p>[bar\]<div style=text-align:justify><p>baz</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<p align=justify>foo<p>[bar\]<p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<p align=justify>foo<p>[bar\]<p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<p align=justify>foo<p>[bar\]<p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<p align=justify>foo<p>[bar\]<p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<p>[foo\]<p align=justify>bar<p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<p>[foo\]<p align=justify>bar<p>extra" compare innerHTML]
    expected: FAIL


[justifyfull.html?4001-last]
  expected:
    if (os == "android") and fission: [OK, TIMEOUT]
  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<p>[foo\]<p align=justify>bar<p>extra" queryCommandState("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<p>[foo\]<p align=justify>bar<p>extra" queryCommandValue("justifyfull") after]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<p>[foo\]<p align=justify>bar<p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<p>[foo\]<p align=justify>bar<p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<p align=justify>foo<p>[bar\]<p align=justify>baz<p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<p align=justify>foo<p>[bar\]<p align=justify>baz<p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<p align=justify>foo<p>[bar\]<p align=justify>baz<p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<p align=justify>foo<p>[bar\]<p align=justify>baz<p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["justifyfull",""\]\] "<div align=justify>[foo</div>bar\]<p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["justifyfull",""\]\] "<div align=justify>[foo</div>bar\]<p>extra" queryCommandIndeterm("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["justifyfull",""\]\] "<div align=justify>[foo</div>bar\]<p>extra" queryCommandState("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","false"\],["justifyfull",""\]\] "<div align=justify>[foo</div>bar\]<p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["justifyfull",""\]\] "<div align=justify>[foo</div>bar\]<p>extra" queryCommandIndeterm("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","false"\],["justifyfull",""\]\] "<div align=justify>[foo</div>bar\]<p>extra" queryCommandState("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["justifyfull",""\]\] "<div align=justify>fo[o</div>b\]ar<p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["justifyfull",""\]\] "<div align=justify>fo[o</div>b\]ar<p>extra" queryCommandIndeterm("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","true"\],["justifyfull",""\]\] "<div align=justify>fo[o</div>b\]ar<p>extra" queryCommandState("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","false"\],["justifyfull",""\]\] "<div align=justify>fo[o</div>b\]ar<p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["justifyfull",""\]\] "<div align=justify>fo[o</div>b\]ar<p>extra" queryCommandIndeterm("justifyfull") before]
    expected: FAIL

  [[["stylewithcss","false"\],["justifyfull",""\]\] "<div align=justify>fo[o</div>b\]ar<p>extra" queryCommandState("justifyfull") before]
    expected: FAIL

  [[["justifyfull",""\]\] "<div style=text-align:justify>[foo</div>bar\]<p>extra" compare innerHTML]
    expected: FAIL

  [[["justifyfull",""\]\] "<div style=text-align:justify>[foo</div>bar\]<p>extra" queryCommandIndeterm("justifyfull") before]
    expected: FAIL

  [[["justifyfull",""\]\] "<div style=text-align:justify>[foo</div>bar\]<p>extra" queryCommandState("justifyfull") before]
    expected: FAIL

  [[["justifyfull",""\]\] "<div style=text-align:justify>fo[o</div>b\]ar<p>extra" compare innerHTML]
    expected: FAIL

  [[["justifyfull",""\]\] "<div style=text-align:justify>fo[o</div>b\]ar<p>extra" queryCommandIndeterm("justifyfull") before]
    expected: FAIL

  [[["justifyfull",""\]\] "<div style=text-align:justify>fo[o</div>b\]ar<p>extra" queryCommandState("justifyfull") before]
    expected: FAIL

  [[["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<span style=text-align:justify>[foo\]</span><p>extra" compare innerHTML]
    expected: FAIL

  [[["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<span style=text-align:justify>[foo\]</span><p>extra" compare innerHTML]
    expected: FAIL

  [[["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<span style=text-align:justify>f[o\]o</span><p>extra" compare innerHTML]
    expected: FAIL

  [[["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<span style=text-align:justify>f[o\]o</span><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<div style=text-align:justify>[foo<div style=text-align:left contenteditable=false>bar</div>baz\]</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<div style=text-align:justify>[foo<div style=text-align:left contenteditable=false>bar</div>baz\]</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<div style=text-align:justify>[foo<div style=text-align:left contenteditable=false>bar</div>baz\]</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<div style=text-align:justify>[foo<div style=text-align:left contenteditable=false>bar</div>baz\]</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["justifyfull",""\]\] "<div align=nonsense><p>[foo\]</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["justifyfull",""\]\] "<div style=text-align:inherit><p>[foo\]</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<quasit align=center><p>[foo\]</p></quasit><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<quasit align=center><p>[foo\]</p></quasit><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<quasit align=center><p>[foo\]</p></quasit><p>extra" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<quasit align=center><p>[foo\]</p></quasit><p>extra" compare innerHTML]
    expected: FAIL

  [[["justifyfull",""\]\] "<div style=text-align:start>[foo\]</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["justifyfull",""\]\] "<div style=text-align:end>[foo\]</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["justifyfull",""\]\] "<div style=text-align:end>[foo\]</div><p>extra" queryCommandValue("justifyfull") before]
    expected: FAIL

  [[["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<div dir=rtl style=text-align:start>[foo\]</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<div dir=rtl style=text-align:start>[foo\]</div><p>extra" queryCommandValue("justifyfull") before]
    expected: FAIL

  [[["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<div dir=rtl style=text-align:start>[foo\]</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<div dir=rtl style=text-align:start>[foo\]</div><p>extra" queryCommandValue("justifyfull") before]
    expected: FAIL

  [[["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<div dir=rtl style=text-align:end>[foo\]</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<div dir=rtl style=text-align:end>[foo\]</div><p>extra" compare innerHTML]
    expected: FAIL

  [[["justifyfull",""\]\] "<div style=text-align:justify><p>foo</div> <p>[bar\]" compare innerHTML]
    expected: FAIL

  [[["justifyfull",""\]\] "<div align=justify><p>foo</div> <p>[bar\]" compare innerHTML]
    expected: FAIL

  [[["justifyfull",""\]\] "<p>[foo\]</p> <div style=text-align:justify><p>bar</div>" compare innerHTML]
    expected: FAIL

  [[["justifyfull",""\]\] "<p>[foo\]</p> <div align=justify><p>bar</div>" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<div style=text-align:justify><p>foo</div> <p>[bar\]</p> <div style=text-align:justify><p>baz</div>" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<div style=text-align:justify><p>foo</div> <p>[bar\]</p> <div style=text-align:justify><p>baz</div>" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","true"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<div style=text-align:justify><p>foo</div> <p>[bar\]</p> <div style=text-align:justify><p>baz</div>" compare innerHTML]
    expected: FAIL

  [[["stylewithcss","false"\],["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<div style=text-align:justify><p>foo</div> <p>[bar\]</p> <div style=text-align:justify><p>baz</div>" compare innerHTML]
    expected: FAIL

  [[["defaultparagraphseparator","div"\],["justifyfull",""\]\] "<div align=justify><p>foo</div> <p>[bar\]</p> <div align=justify><p>baz</div>" compare innerHTML]
    expected: FAIL

  [[["defaultparagraphseparator","p"\],["justifyfull",""\]\] "<div align=justify><p>foo</div> <p>[bar\]</p> <div align=justify><p>baz</div>" compare innerHTML]
    expected: FAIL
